# GuardParameterBinding

## `GuardParameterBinding`

A GuardParameterBinding binds a guard parameter of an invoked Mapping to a value of a connection. Execution of the mapping may use the value. A distinct Mapping invocation occurs for each value in the connection.

syntax: `formalName consumes expression;`

conformsTo `MappingParameterBinding`

Attributes

`isCheck : Boolean[?]`

True if each consumed value must be checked for conformance with the variable’s type. A non-conforming vlaue is a predicate failure causing the mapping invocation to fail without doing anything. This is a derivation of not ownedInit.type.conformsTo(self.type).

Associations

`value : ::ConnectionVariable[1]`

The connection providing the invocation values.